body {
    display: flex;
    flex-direction: column;
    background-image: url(background_rolls.png);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    height: 320vh;
    margin: 0;
}

.menu {
    display: flex;
    justify-content: space-around;
    align-items: center;
    height: 15vh;
    background: #282828;
}

.mobile {
    display: none;
}

.link, .number {
    font-family: "LXGW WenKai Mono TC", monospace;
    color: #EAEFF3;
    text-decoration: none;
    font-size: 17px;
    font-weight: 200;
}

.link:hover {
    color: #C11B1C;
    font-weight: 400;
    font-size: 18px;
}

.number:hover {
    color: #EAEFF3;
    font-weight: 400;
}

.footer {
    display: flex;
    justify-content: space-around;
    align-items: center;
    background: #C11B1C;
    padding: 1px;
}

.contact {
    flex: 1;
    margin-left: 10px;
}

.socials {
    margin: 2px;
}

.name {
    display: flex;
    justify-content: center;
}

h1 {
    font-family: "LXGW WenKai Mono TC", monospace;
    color: #EAEFF3;
    font-size: 45px;
    font-weight: 300;
    text-shadow: 2px 1px #C11B1C;
}

.header {
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex: 1;
    margin: 50px;
}

.container {
    display: flex;
    flex-direction: column;
    align-items: center;
    background: #0F0E0B;
    padding: 30px;
    opacity: 0.8;
    width: 35%;
    border: 1px solid #C11B1C;
}

h3 {
    font-family: "LXGW WenKai Mono TC", monospace;
    text-align: center;
    color: #EAEFF3;
    font-size: 25px;
    font-weight: 200;
    margin-top: 0;
    text-decoration: underline #C11B1C;
}

p {
    font-family: "LXGW WenKai Mono TC", monospace;
    text-align: center;
    color: #C11B1C;
    font-size: 30px;
    font-weight: 400;
    margin-bottom: 0;
}

@media all and (max-width:800px) {
    body {
        height: 175vh;
    }

    .menu {
        height: 12vh;
    }

    .menu-img {
        width: 250px;
    }
}

@media all and (max-width:500px) {
    body {
        height: 354vh;
    }

    .mobile {
        display: block;
    }

    .mobile {
        display: flex;
        justify-content:space-between;
        background: #282828;
        height: 70px;
        position: fixed;
        z-index: 1;
        width: 100%;
        margin-top: -5px;
    }

    #menu_toggle {
        opacity: 0;
    }

    .menu_btn {
        display: flex;
        align-items: center;
        top: 8px;
        left: 350px;
        margin-right: 25px;
        width: 26px;
        height: 26px;
        cursor: pointer;
    }

    .menu_btn > span,
    .menu_btn > span::before,
    .menu_btn > span::after {
        display: block;
        position: absolute;
        width: 35px; 
        height: 2px;
        background: #EAEFF3;
    }

    .menu_btn > span::before {
        content: '';
        top: -8px;
    }

    .menu_btn > span::after {
        content: '';
        top: 8px;
    }

    .menu_box {
        display: block;
        position: absolute;
        z-index: 1;
        visibility: hidden;
        margin-top: 30px;
        left: -100%;
        width: 100%;
        height: 900px;
        padding: 80px 0;
        list-style: none;
        text-align: center;
        background: #ECEFF3;
        box-shadow: 1px 0px 6px rgba(0, 0, 0, .2);
    }

    .link {
        display: block;
        padding: 2px 5px;
        font-size: 20px;
        font-weight: 300;
        color: #282828;
    }

    .link:hover, .mail:hover, .phone:hover {
        color: #C11B1C;
    }

    #menu_toggle:checked ~ .menu_btn > span {
        transform: rotate(45deg);
    }

    #menu_toggle:checked ~ .menu_btn > span::before {
        top: 0;
        transform: rotate(0);
    }

    #menu_toggle:checked ~ .menu_btn > span::after {
        top: 0;
        transform: rotate(90deg);
    }

    #menu_toggle:checked ~ .menu_box {
        visibility: visible;
        left: 0;
    }

    .menu_btn > span,
    .menu_btn > span::before,
    .menu_btn > span::after {
        transition-duration: .25s;
    }

    .menu_box {
        transition-duration: .25s;
    }

    .link {
        transition-duration: .25s;
    }

    .menu {
        display: none;
    }

    .logo {
        width: 110px;
    }

    h1 {
        font-size: 28px;
        text-align: center;
        font-weight: 400;
        margin-top: 70px;
        margin-bottom: 30px;
    }

    .header {
        flex-direction: column;
        margin: 20px;
    }

    .container {
        width: 70%;
    }

    .one, .three, .five {
        margin-bottom: 20px;
    }
}